Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 3021)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 3022)
@@ -62,6 +62,7 @@
 import org.txm.rcp.handlers.files.CopyFile;
 import org.txm.rcp.handlers.files.CutFile;
 import org.txm.rcp.handlers.files.DeleteFile;
+import org.txm.rcp.handlers.files.EditFile;
 import org.txm.rcp.handlers.files.PasteFile;
 import org.txm.rcp.handlers.files.RenameFile;
 import org.txm.rcp.handlers.scripts.CreateMacro;
@@ -69,29 +70,30 @@
 import org.txm.rcp.messages.TXMUIMessages;
 
 /**
- * Macro explorer 
+ * Macro explorer
  * 
  * @author mdecorde
  */
 public class MacroExplorer extends ViewPart {
-
+	
 	/** The ID. */
 	static public String ID = MacroExplorer.class.getName();
-
+	
 	/** The home. */
 	protected static String home = Toolbox.getTxmHomePath();
-	//protected static String homeUser = Toolbox.getTxmHomePath();
-
+	// protected static String homeUser = Toolbox.getTxmHomePath();
+	
 	protected static File currentRootDir;
-
-	//protected static File currentUserRootDir; 
 	
+	// protected static File currentUserRootDir;
+	
 	protected static boolean showAll = false;
 	
 	/** The files tree viewer. */
 	protected TreeViewer tv;
 	
 	protected Button all;
+	
 	/**
 	 * Instantiates a new explorer.
 	 */
@@ -99,23 +101,27 @@
 		initCurrentDirectory();
 	}
 	
-	public boolean isShowAll() {return showAll;}
-
+	public boolean isShowAll() {
+		return showAll;
+	}
+	
 	private static void initCurrentDirectory() {
-		home = Toolbox.getTxmHomePath(); 
+		home = Toolbox.getTxmHomePath();
 		if (home == null) home = System.getProperty("user.home"); //$NON-NLS-1$
 		
-		//File scriptsUserDir = new File(home, "scripts/groovy/user/"); //$NON-NLS-1$
+		// File scriptsUserDir = new File(home, "scripts/groovy/user/"); //$NON-NLS-1$
 		File scriptsDir = new File(home, "scripts/groovy/user/"); //$NON-NLS-1$
 		currentRootDir = new File(scriptsDir, "org/txm/macro"); //$NON-NLS-1$
-		//currentUserRootDir = new File(scriptsUserDir, "org/txm/macro"); //$NON-NLS-1$
+		// currentUserRootDir = new File(scriptsUserDir, "org/txm/macro"); //$NON-NLS-1$
 		home = currentRootDir.getAbsolutePath();
-		//homeUser = currentUserRootDir.getAbsolutePath();
+		// homeUser = currentUserRootDir.getAbsolutePath();
 	}
-
-	public String getHome() { return home;}
-	//public String getUserHome() { return homeUser;}
 	
+	public String getHome() {
+		return home;
+	}
+	// public String getUserHome() { return homeUser;}
+	
 	/**
 	 * Refresh.
 	 */
@@ -124,7 +130,7 @@
 				.getActiveWorkbenchWindow().getActivePage().findView(
 						MacroExplorer.ID);
 		
-		//TODO this might cause big latences
+		// TODO this might cause big latences
 		initCurrentDirectory();
 		
 		if (explorerView != null) {
@@ -147,33 +153,34 @@
 			explorerView.tv.refresh(f);
 		}
 	}
-
+	
 	public TreeViewer getTreeViewer() {
 		return tv;
 	}
 	
-	/* (non-Javadoc)
+	/*
+	 * (non-Javadoc)
 	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
 	 */
 	@Override
 	public void createPartControl(Composite parent) {
-
+		
 		FormLayout formLayout = new FormLayout();
 		formLayout.marginWidth = 0;
 		formLayout.marginHeight = 0;
 		parent.setLayout(formLayout);
-
+		
 		// controles composite
 		Composite controls = new Composite(parent, SWT.NONE);
-
+		
 		FormData controlsData = new FormData();
 		controlsData.top = new FormAttachment(0);
 		controlsData.left = new FormAttachment(0);
 		controlsData.right = new FormAttachment(100);
 		controls.setLayoutData(controlsData);
-
+		
 		GridLayout controlsLayout = new GridLayout(3, false);
-		controlsLayout.marginBottom = controlsLayout.marginHeight=0;
+		controlsLayout.marginBottom = controlsLayout.marginHeight = 0;
 		controls.setLayout(controlsLayout);
 		
 		Button refresh = new Button(controls, SWT.NONE);
@@ -181,6 +188,7 @@
 		refresh.setToolTipText(TXMUIMessages.common_refresh);
 		refresh.setLayoutData(new GridData());
 		refresh.addSelectionListener(new SelectionAdapter() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				initCurrentDirectory();
@@ -194,6 +202,7 @@
 		newMacro.setText(TXMUIMessages.newMacro);
 		newMacro.setToolTipText(TXMUIMessages.createANewMacroFromATemplate);
 		newMacro.addSelectionListener(new SelectionAdapter() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				
@@ -209,12 +218,13 @@
 				}
 			}
 		});
-
+		
 		all = new Button(controls, SWT.CHECK);
 		all.setText("all");
 		all.setToolTipText("Show all files");
 		all.setLayoutData(new GridData());
 		all.addSelectionListener(new SelectionAdapter() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				showAll = all.getSelection();
@@ -223,30 +233,31 @@
 		});
 		
 		// set positions & sizes
-		//FormData widgetData = new FormData();
-		//widgetData.right = new FormAttachment(100);
-		//refresh.setLayoutData(widgetData);
-
+		// FormData widgetData = new FormData();
+		// widgetData.right = new FormAttachment(100);
+		// refresh.setLayoutData(widgetData);
+		
 		// the explorer
 		tv = new TreeViewer(parent);
 		tv.setContentProvider(new MacroContentProvider(this));
 		tv.setLabelProvider(new MacroTreeLabelProvider(this));
 		
-//		TreeViewerColumn mainColumn = new TreeViewerColumn(tv, SWT.NONE);
-//        mainColumn.getColumn().setText("File");
-//        mainColumn.getColumn().setWidth(300);
-//        mainColumn.setLabelProvider(new DelegatingStyledCellLabelProvider(new MacroTreeLabelProvider(this)));
+		// TreeViewerColumn mainColumn = new TreeViewerColumn(tv, SWT.NONE);
+		// mainColumn.getColumn().setText("File");
+		// mainColumn.getColumn().setWidth(300);
+		// mainColumn.setLabelProvider(new DelegatingStyledCellLabelProvider(new MacroTreeLabelProvider(this)));
 		
 		tv.setInput(new File(home));
-
+		
 		FormData tvData = new FormData();
 		tvData.top = new FormAttachment(controls, 0);
 		tvData.bottom = new FormAttachment(100);
 		tvData.left = new FormAttachment(0);
 		tvData.right = new FormAttachment(100);
 		tv.getTree().setLayoutData(tvData);
-
+		
 		tv.addDoubleClickListener(new IDoubleClickListener() {
+			
 			@Override
 			public void doubleClick(DoubleClickEvent event) {
 				TreeSelection selection = (TreeSelection) tv.getSelection();
@@ -255,41 +266,54 @@
 					IWorkbenchWindow acWindow = TXMWindows.getActiveWindow();
 					IWorkbenchPart page = acWindow.getActivePage().getActivePart();
 					
-					ExecuteGroovyMacro.execute(selectedItem.getAbsolutePath(), page, selection, "");
-				} else {
+					if (selectedItem.getName().toLowerCase().endsWith(".groovy")) {
+						ExecuteGroovyMacro.execute(selectedItem.getAbsolutePath(), page, selection, "");
+					}
+					else {
+						EditFile.openfile(selectedItem.getAbsolutePath());
+					}
+				}
+				else {
 					changeState(selection);
 				}
 			}
 		});
-
+		
 		tv.getTree().addKeyListener(new KeyListener() {
+			
 			@Override
-			public void keyReleased(KeyEvent e) { } // nothing to do
-
+			public void keyReleased(KeyEvent e) {} // nothing to do
+			
 			@Override
 			public void keyPressed(KeyEvent e) {
 				ISelection sel = tv.getSelection();
 				if (sel instanceof IStructuredSelection) {
-					List<?> objects = ((IStructuredSelection)sel).toList();
+					List<?> objects = ((IStructuredSelection) sel).toList();
 					if (e.keyCode == SWT.DEL) {
 						DeleteFile.delete(objects);
-					} else if (e.keyCode == SWT.F5) {
+					}
+					else if (e.keyCode == SWT.F5) {
 						MacroExplorer.refresh();
-					} else {
+					}
+					else {
 						for (Object o : objects) {
-							//Object o = ((IStructuredSelection)sel).getFirstElement();
+							// Object o = ((IStructuredSelection)sel).getFirstElement();
 							if (o instanceof File) {
 								File file = (File) o;
 								if (e.keyCode == SWT.DEL) {
 									DeleteFile.delete(file);
-								} else if ((char)e.keyCode == 'c' & ((e.stateMask & SWT.CTRL) != 0)) {
+								}
+								else if ((char) e.keyCode == 'c' & ((e.stateMask & SWT.CTRL) != 0)) {
 									CopyFile.copy(file);
-								} else if ((char)e.keyCode == 'x' & ((e.stateMask & SWT.CTRL) != 0)) {
+								}
+								else if ((char) e.keyCode == 'x' & ((e.stateMask & SWT.CTRL) != 0)) {
 									CutFile.cut(file);
-								} else if ((char)e.keyCode == 'v' & ((e.stateMask & SWT.CTRL) != 0)) {
+								}
+								else if ((char) e.keyCode == 'v' & ((e.stateMask & SWT.CTRL) != 0)) {
 									if (file.isFile()) file = file.getParentFile();
 									PasteFile.paste(file);
-								} else if (e.keyCode == SWT.F2) {
+								}
+								else if (e.keyCode == SWT.F2) {
 									RenameFile.rename(file);
 								}
 							}
@@ -300,16 +324,16 @@
 				}
 			}
 		});
-
+		
 		MenuManager menuManager = new MenuManager();
 		Menu menu = menuManager.createContextMenu(tv.getTree());
-
+		
 		// Set the MenuManager
 		tv.getTree().setMenu(menu);
 		getSite().registerContextMenu(menuManager, tv);
 		getSite().setSelectionProvider(tv);
 	}
-
+	
 	/**
 	 * Can delete.
 	 *
@@ -320,25 +344,24 @@
 		File txmhome = new File(Toolbox.getTxmHomePath());
 		File scripts = new File(Toolbox.getTxmHomePath(), "scripts"); //$NON-NLS-1$
 		File corpora = new File(Toolbox.getTxmHomePath(), "corpora"); //$NON-NLS-1$
-		//File registry = new File(Toolbox.getTxmHomePath(), "registry"); //$NON-NLS-1$
+		// File registry = new File(Toolbox.getTxmHomePath(), "registry"); //$NON-NLS-1$
 		File workspaces = new File(Toolbox.getTxmHomePath(), "workspaces"); //$NON-NLS-1$
 		File xsl = new File(Toolbox.getTxmHomePath(), "xsl"); //$NON-NLS-1$
 		File samples = new File(Toolbox.getTxmHomePath(), "samples"); //$NON-NLS-1$
-		if (selectedItem.equals(txmhome) || 
+		if (selectedItem.equals(txmhome) ||
 				selectedItem.equals(txmhome) ||
 				selectedItem.equals(scripts) ||
 				selectedItem.equals(corpora) ||
-				//selectedItem.equals(registry) ||
+				// selectedItem.equals(registry) ||
 				selectedItem.equals(workspaces) ||
 				selectedItem.equals(samples) ||
-				selectedItem.equals(xsl))
-		{
+				selectedItem.equals(xsl)) {
 			System.out.println(NLS.bind(TXMUIMessages.folderP0ShouldNotBeDeleted, selectedItem));
 			return false;
 		}
 		return false;
 	}
-
+	
 	/**
 	 * Change state.
 	 *
@@ -348,14 +371,15 @@
 		TreeItem[] items = tv.getTree().getSelection();
 		for (TreeItem item : items) {
 			if (item.getExpanded()) {
-				item.setExpanded(false);	
-			} else {
+				item.setExpanded(false);
+			}
+			else {
 				item.setExpanded(true);
 			}
 			tv.refresh();
-		}	
+		}
 	}
-
+	
 	/**
 	 * Sets the root.
 	 *
@@ -366,7 +390,7 @@
 		tv.setInput(new File(home));
 		tv.refresh();
 	}
-
+	
 	/**
 	 * Sets the root.
 	 *
@@ -377,12 +401,13 @@
 		tv.setInput(new File(home));
 		tv.refresh();
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.eclipse.ui.part.WorkbenchPart#setFocus()
 	 */
 	@Override
 	public void setFocus() {
 		tv.getTree().setFocus();
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 3021)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 3022)
@@ -74,7 +74,7 @@
 			return null;
 		}
 		
-		System.out.println(NLS.bind(TXMUIMessages.loadingTheP0BinaryCorpusAsATXM079Corpus, zipFile.getName()));
+		System.out.println(NLS.bind(TXMUIMessages.theP0BinaryCorpusVersionIsP1, zipFile.getName(), "0.7.9"));
 		
 		String basedirname = Zip.getRoot(zipFile);
 		
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 3021)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 3022)
@@ -47,40 +47,43 @@
  * @author mdecorde
  */
 public class Load080BinaryCorpus {
-
-
+	
+	
 	public static boolean canLoad(File zipFile) {
 		String basedirname = Zip.getRoot(zipFile);
-		return Zip.hasEntries(zipFile, basedirname+"/.settings/", basedirname+"/.project", basedirname+"/data/", basedirname+"/txm/", basedirname+"/HTML/", basedirname+"/registry/");
+		return Zip.hasEntries(zipFile, basedirname + "/.settings/", basedirname + "/.project", basedirname + "/data/", basedirname + "/txm/", basedirname + "/HTML/", basedirname + "/registry/");
 	}
+	
 	/**
 	 * load the content of the file if its a directory containing at least the sub folders :
 	 * txm, html, data and registry.
-	 * @param replace 
+	 * 
+	 * @param replace
 	 *
 	 * @param binCorpusDirectory the zipFile
 	 * @return the base
 	 * @throws Exception the exception
 	 */
 	public static Project loadBinaryCorpusArchive(File zipFile, IProgressMonitor monitor, boolean replace) throws Exception {
-		//ZIPPED FILE
+		// ZIPPED FILE
 		if (monitor != null) monitor.beginTask(TXMUIMessages.loadingBinaryCorpus, 100);
 		if (monitor != null) monitor.subTask(TXMUIMessages.extractingBinaryCorpus);
-
+		
 		if (!canLoad(zipFile)) {
 			Log.severe(NLS.bind(TXMUIMessages.binaryCorpusIsNotATXM080CorpusNoSettingsNorProjectFile, zipFile.getName()));
 			return null;
 		}
 		
-		Log.info(NLS.bind(TXMUIMessages.loadingTheP0BinaryCorpusAsATXM080Corpus, zipFile.getName()));
+		Log.info(NLS.bind(TXMUIMessages.theP0BinaryCorpusVersionIsP1, zipFile.getName(), "0.8.0"));
 		
 		String basedirname = Zip.getRoot(zipFile);
-
+		
 		Project p = Toolbox.workspace.getProject(basedirname.toUpperCase());
 		if (p != null) {
 			if (replace) {
 				p.delete();
-			} else {
+			}
+			else {
 				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, zipFile, basedirname.toUpperCase()));
 				return null;
 			}
@@ -90,25 +93,27 @@
 		if (corpusDirectory.exists()) {
 			if (replace) {
 				DeleteDir.deleteDirectory(corpusDirectory);
-			} else {
+			}
+			else {
 				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, zipFile, corpusDirectory));
 				return null;
 			}
 		}
-
+		
 		try {
-			//System.out.println(NLS.bind(Messages.AddBase_29, zipFile, corporaDir));
+			// System.out.println(NLS.bind(Messages.AddBase_29, zipFile, corporaDir));
 			Zip.decompress(zipFile, Toolbox.workspace.getLocation(), false, monitor);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.severe(NLS.bind(TXMUIMessages.couldNotUnzipBinaryCorpusColon, e));
 			org.txm.utils.logger.Log.printStackTrace(e);
 			return null;
 		}
 		if (monitor != null) monitor.worked(50);
-
+		
 		if (monitor != null) monitor.subTask(TXMUIMessages.loadingTheCorpusInThePlatform);
 		
-
+		
 		// test with CQP MainCorpus name
 		File dataDirectory = new File(corpusDirectory, "data");
 		File[] mainCorpusDirs = dataDirectory.listFiles();
@@ -121,17 +126,17 @@
 				return null;
 			}
 		}
-
+		
 		Project newProject = loadBinaryCorpusAsDirectory(corpusDirectory);
 		if (newProject == null) {
 			DeleteDir.deleteDirectory(corpusDirectory); // clean files
 			Log.severe(TXMUIMessages.failedToLoadBinaryCorpusNullError);
 			return null;
 		}
-
+		
 		return newProject;
 	}
-
+	
 	/**
 	 * load the content of the file if its a directory containing at least the sub folders :
 	 * txm, html, data and registry.
@@ -143,28 +148,29 @@
 	public static Project loadBinaryCorpusAsDirectory(File binCorpusDirectory) throws Exception {
 		if (!(binCorpusDirectory.exists() && binCorpusDirectory.isDirectory())) {
 			Log.severe(NLS.bind(TXMUIMessages.failedToLoadCorpusP0, binCorpusDirectory.getAbsolutePath()));
-			return null; 
+			return null;
 		}
-
+		
 		File txmcorpora = new File(Toolbox.getTxmHomePath(), "corpora"); //$NON-NLS-1$
 		txmcorpora.mkdir();
 		Project project = Toolbox.workspace.scanDirectory(binCorpusDirectory);
 		if (project == null) {
-			Log.severe(NLS.bind(TXMUIMessages.failedToLoadCorpusFromDirectoryColonP0WeCannotFindTheNecessaryComponents, binCorpusDirectory)); 
+			Log.severe(NLS.bind(TXMUIMessages.failedToLoadCorpusFromDirectoryColonP0WeCannotFindTheNecessaryComponents, binCorpusDirectory));
 			return null;
 		}
-
+		
 		boolean ok = true;
 		for (TXMResult r : project.getChildren(MainCorpus.class)) {
-			MainCorpus c = (MainCorpus)r;
+			MainCorpus c = (MainCorpus) r;
 			ok = ok && c.compute(false);
 		}
 		if (ok) {
 			project.saveParameters();
 			return project;
-		} else {
+		}
+		else {
 			project.delete();
 			return null;
 		}
 	}
-}
\ No newline at end of file
+}
